#import "MyPluginClass.h"

@implementation MyPluginClass

- (id)initWithWebView:(WebView*)w {
    if (self = [super init]) {
	}
	return self;
}

-(void)dealloc {
	[super dealloc];
}

-(void)windowScriptObjectAvailable:(WebScriptObject*) windowScriptObject {
	[windowScriptObject setValue:self forKey:@"AScript"];
}

+ (NSString*)webScriptNameForSelector:(SEL)aSelector {
	NSString *retval = nil;

	if (aSelector == @selector(askSafari)) {
		retval = @"askSafari";
    } else {
		NSLog(@"\tunknown selector");
	}
	return retval;
}

+ (BOOL)isSelectorExcludedFromWebScript:(SEL)aSelect {	
	if (aSelect == @selector(askSafari)) {
		return NO;
	}
	return YES;
}

+ (BOOL)isKeyExcludedFromWebScript:(const char*)k {
	return YES;
}

// return Safari URI
- (NSString*)askSafari
{
	NSString*		answer;
	NSDictionary*	asErrDic = nil;
	NSAppleScript*	as = [[NSAppleScript alloc] 
		initWithSource : @"tell Application \"Safari\"\n return the URL of document 1\n end tell"];
	NSAppleEventDescriptor* aed = [as executeAndReturnError : &asErrDic]; 

	answer = [aed stringValue];
	return answer;
}

// logMessage
- (void)logMessage:(NSString *)str {
	NSLog(@"JavaScript says: %@", str);
}

@end
